org.apache.cassandra.io.compress

## Class CorruptBlockException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.cassandra.io.compress.CorruptBlockException

All Implemented Interfaces:
  java.io.Serializable

    public class CorruptBlockException
    extends java.io.IOException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CorruptBlockException(java.lang.String filePath, CompressionMetadata.Chunk chunk)`
`CorruptBlockException(java.lang.String filePath, CompressionMetadata.Chunk chunk, java.lang.Throwable cause)`
`CorruptBlockException(java.lang.String filePath, long offset, int length)`
`CorruptBlockException(java.lang.String filePath, long offset, int length, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CorruptBlockException

    public CorruptBlockException(java.lang.String filePath,
                                 CompressionMetadata.Chunk chunk)

#### CorruptBlockException

    public CorruptBlockException(java.lang.String filePath,
                                 CompressionMetadata.Chunk chunk,
                                 java.lang.Throwable cause)

#### CorruptBlockException

    public CorruptBlockException(java.lang.String filePath,
                                 long offset,
                                 int length)

#### CorruptBlockException

    public CorruptBlockException(java.lang.String filePath,
                                 long offset,
                                 int length,
                                 java.lang.Throwable cause)